@echo off

REM This batch is used to copy all (changed) scripts used by AIT to its publish folder.
REM 
REM Usage: 
REM     mycopy_arg.bat [targetFolder]
REM 
REM It copies all files from BeforePublishBatch and AfterPublishBatch to [targetfolder]\mytemp
REM [targetfolder] could be, for example, AIT's publish folder
REM 
REM More information about used parameters: https://docs.microsoft.com/en-us/windows-server/administration/windows-commands/xcopy
REM Dominic Buchheit, 2019

set target=%~1\mytemp

if not exist "%target%" mkdir "%target%"

echo Copy from BeforePublishBatch to %target%
xcopy M:\templates\BeforePublishBatch\* "%target%" /c /v /q /s /y /d /i
echo Copy from AfterPublishBatch to %target%
xcopy M:\templates\AfterPublishBatch\* "%target%" /c /v /q /s /y /d /i